### Function

# GtkVnc GrabSequence new_from_string

#### Declaration [src]

    VncGrabSequence*
    vnc_grab_sequence_new_from_string (
      const gchar* str
    )

#### Description [src]

Creates a new grab sequence from a list of keysym names

The returned struct must be freed by calling vnc_grab_sequence_free when no longer required.

#### Parameters

`str`

  Type: `const gchar*`

  String of keysym names.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `VncGrabSequence`

A new grab sequence object.

The caller of the function takes ownership of the data, and is responsible for freeing it.